Opened 4 years ago

Closed 3 years ago

#8664 closed bug (duplicate)

libffi does not recognize AArch64 (ARM64)

Reported by: kgardas Owned by: ekmett
Priority: normal Milestone:
Component: Core Libraries Version: 7.7
Keywords: Cc: core-libraries-committee@…
Operating System: Linux Architecture: arm
Type of failure: Building GHC failed Test Case:
Blocked By: Blocking:
Related Tickets: #8701 Differential Rev(s):
Wiki Page:

Description

Hello, bundled libffi-3.0.11's configure does not recognize aarch64/arm64 platform. This is easily solvable by replacing it with newer release. I tested 3.0.13 and it went well.

Change History (4)

comment:1 Changed 4 years ago by kgardas

Blocking: 7942 added

comment:2 Changed 4 years ago by thoughtpolice

Blocking: 7942 removed

comment:3 Changed 3 years ago by thoughtpolice

Component: libraries (other)Core Libraries
Owner: set to ekmett

Moving over to new owning component 'Core Libraries'.

comment:4 Changed 3 years ago by thomie

Cc: core-libraries-committee@… added
Resolution: duplicate
Status: newclosed

HEAD has been updated to libffi 3.1 in #8701.

Note: See TracTickets for help on using tickets.